<!DOCTYPE html>
<html>

<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Course 365 - Learning with unlimited!</title>

  <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
</head>

<body>
  <!-- 1. Header - Navbar menu -->
  <nav class="navbar navbar-expand-lg navbar-light bg-light sticky-top">
    <a class="navbar-brand" href="#">
      <img src="images\Ionic_logo.png" alt="">
    </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
      aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <div class="navbar-nav mr-auto">
        <a class="nav-item active nav-link" href="#">Home</a>
        <div class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarBrowse" role="button" data-toggle="dropdown"
            aria-haspopup="true" aria-expanded="false">
            Browse courses
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarBrowse">
            <a class="dropdown-item" href="#">Web Development</a>
            <a class="dropdown-item" href="#">Mobile App</a>
            <a class="dropdown-item" href="#">Desktop App</a>
          </div>
        </div>
        <div class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarAbout" role="button" data-toggle="dropdown"
            aria-haspopup="true" aria-expanded="false">
            About Us
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarAbout">
            <a class="dropdown-item" href="#">Vision & Mission</a>
            <a class="dropdown-item" href="#">Team</a>
            <a class="dropdown-item" href="#">Contact Us</a>
          </div>
        </div>
      </div>
      <form class="form-inline my-2 my-lg-0">
        <div class="input-group">
          <div class="input-group-prepend">
            <span class="input-group-text" id="basic-addon1"><i class="fas fa-search"></i></span>
          </div>
          <input class="form-control mr-sm-2" type="search" placeholder="Search Courses" aria-label="Search"
            aria-describedby="basic-addon1">
        </div>
        <button class="btn btn-outline-primary my-2 my-sm-0" type="submit">Search</button>
      </form>
    </div>
  </nav>
  <!-- 2. Slide body -->
  <div class="row bg-info text-light">
    <div class="col my-auto mx-5 p-5">
      <h1>Welcome to Ionic Course365 Learning Center</h1>
      <p>Ionic Course365 is an online learning and teaching marketplace with over 5000 courses and 1 million students.
        Instructor and expertly crafted courses, designed for the modern students and entrepreneur.</p>
      <button class="btn btn-warning">Browse Courses</button>
      <button class="btn btn-light">Become an Instructor</button>
    </div>
    <div class="col">
      <img src="images\ionic-207965.png">
    </div>
  </div>
  <!-- 3. Courses content -->
  <div class="container mb-5">
    <h2 class="mt-5 mb-3">Recommended to you</h2>
    <div class="row">
      <div class="col">
        <div class="card">
          <div class="card-header p-0">
            <img class="card-img-top" src="images\courses\course-angular.jpg" alt="Card image cap">
          </div>
          <div class="card-body">
            <h6 class="card-title text-primary">How to easily create a website with Angular</h6>
            <p class="card-text"> <i class="far fa-clock"></i> 3h 56m Beginner </p>
            <p class="card-text"><b>$600</b> <del class="text-muted">$750</del></p>
          </div>
          <div class="card-footer">
            <div class="row m-0">
              <img class="rounded-circle w-25 mr-1" src="images/teacher/morris_mccoy.jpg" alt="Avatar">
              <p class="card-text mr-auto my-auto">Morris Mccoy</p>
              <i class="far fa-bookmark my-auto"></i>
            </div>
          </div>
        </div>
      </div>
      <div class="col">
        <div class="card">
          <div class="card-header p-0">
            <img class="card-img-top" src="images\courses\course-python.jpg" alt="Card image cap">
          </div>
          <div class="card-body">
            <h6 class="card-title text-primary">The Python Course: build web application</h6>
            <p class="card-text"> <i class="far fa-clock"></i> 4h 30m Advanced </p>
            <p class="card-text"><b>$900</b> <del class="text-muted">$1050</del></p>
          </div>
          <div class="card-footer">
            <div class="row m-0">
              <img class="rounded-circle w-25 mr-1" src="images/teacher/claire_robertson.jpg" alt="Avatar">
              <p class="card-text mr-auto my-auto">Claire Robertson</p>
              <i class="far fa-bookmark my-auto"></i>
            </div>
          </div>
        </div>
      </div>
      <div class="col">
        <div class="card">
          <div class="card-header p-0">
            <img class="card-img-top" src="images\courses/course-graphql.jpg" alt="Card image cap">
          </div>
          <div class="card-body">
            <h6 class="card-title text-primary">GraphQL: introduction to gradhQL for beginners</h6>
            <p class="card-text"> <i class="far fa-clock"></i> 2h 15m Intermediate </p>
            <p class="card-text"><b>$650</b> <del class="text-muted">$850</del></p>
          </div>
          <div class="card-footer">
            <div class="row m-0">
              <img class="rounded-circle w-25 mr-1" src="images/teacher/ted_hawkins.jpg" alt="Avatar">
              <p class="card-text mr-auto my-auto">Ted Hawkins</p>
              <i class="far fa-bookmark my-auto"></i>
            </div>
          </div>
        </div>
      </div>
      <div class="col">
        <div class="card">
          <div class="card-header p-0">
            <img class="card-img-top" src="images\courses/course-javascript.jpg" alt="Card image cap">
          </div>
          <div class="card-body">
            <h6 class="card-title text-primary">Getting Started with JavaScript</h6>
            <p class="card-text"> <i class="far fa-clock"></i> 3h 34m Beginner </p>
            <p class="card-text"><b>$300</b> <del class="text-muted">$550</del></p>
          </div>
          <div class="card-footer">
            <div class="row m-0">
              <img class="rounded-circle w-25 mr-1" src="images/teacher/ted_hawkins.jpg" alt="Avatar">
              <p class="card-text mr-auto my-auto">Ted Hawkins</p>
              <i class="far fa-bookmark my-auto"></i>
            </div>
          </div>
        </div>
      </div>
    </div>

    <h2 class="mt-5 mb-3">Most Popular</h2>
    <div class="row" id="div-popular"> </div>

    <h2 class="mt-5 mb-3">Trending</h2>
    <div class="row" id="div-trending"> </div>
  </div>
  <!-- 4. Footer -->
  <footer class="row jumbotron py-0 mb-0 fixed-bottom">
    <p class="mr-auto ml-5">© 2021 Ionic Course365. All Rights Reserved.</p>
    <a href="#" class="mr-3"> Privacy </a>
    <a href="#" class="mr-3"> Terms </a>
    <a href="#" class="mr-3"> Feedback </a>
    <a href="#"> Support </a>
  </footer>

</body>

<script>
  var gBASE_URL = "https://630890e4722029d9ddd245bc.mockapi.io/api/v1";

  $(document).ready(function () {
    apiGetCoursesList();
  });

  function apiGetCoursesList() {
    $.ajax({
      url: gBASE_URL + "/courses",
      type: "GET",
      success: onPageLoading
    });
  }

  function onPageLoading(res) {
    var numPopular = 0;
    var numTrending = 0;
    let index = 0;
    while (index < res.length && (numPopular < 4 || numTrending < 4)) {
      const course = res[index];

      if (course.isPopular == true && numPopular < 4) {
        var divColPopular = $("<div class='col'>").appendTo("#div-popular");
        loadCourses(course, divColPopular);
        numPopular++;
      }

      if (course.isTrending == true && numTrending < 4) {
        var divColTrending = $("<div class='col'>").appendTo("#div-trending");
        loadCourses(course, divColTrending);
        numTrending++;
      }

      index++;
    }
  }

  function loadCourses(course, divCol) {
    var divCard = $("<div class='card'>").appendTo(divCol);

    var divHeader = $("<div class='card-header p-0'>").appendTo(divCard);
    $("<img src=" + course.coverImage + ">")
      .addClass("card-img-top").appendTo(divHeader);

    var divBody = $("<div class='card-body'>").appendTo(divCard);
    $("<h6>").text(course.courseName)
      .addClass("card-title text-primary").appendTo(divBody);

    var pTime = $("<p>").addClass("card-text").appendTo(divBody);
    $("<i class='far fa-clock'>").appendTo(pTime);
    pTime.append(" " + course.duration + " " + course.level);

    var pPrice = $("<p>").addClass("card-text").appendTo(divBody);
    $("<b>").text("$" + course.discountPrice + " ").appendTo(pPrice);
    $("<del>").text("$" + course.discountPrice)
      .addClass("text-muted").appendTo(pPrice);

    var divFooter = $("<div class='card-footer'>").appendTo(divCard);
    var divRow = $("<div>").addClass("row m-0").appendTo(divFooter);
    $("<img src=" + course.teacherPhoto + ">")
      .addClass("rounded-circle w-25 mr-1").appendTo(divRow);
    $("<p>").text(course.teacherName)
      .addClass("card-text mr-auto my-auto").appendTo(divRow);
    $("<i class='far fa-bookmark my-auto'>").appendTo(divRow);
  }

</script>

</html>